net.sf.cpsolver.ifs.model

## Class Neighbour<V extends Variable<V,T>,T extends Value<V,T>>

- java.lang.Object
- - net.sf.cpsolver.ifs.model.Neighbour<V,T>

- Direct Known Subclasses:
    BacktrackNeighbourSelection.BackTrackNeighbour, BranchBoundSelection.BranchBoundNeighbour, ExamRoomSwapNeighbour, ExamSplitMoves.ExamMergeNeighbour, ExamSplitMoves.ExamShuffleNeighbour, ExamSplitMoves.ExamSplitNeighbour, LazyNeighbour, NeighbourSelectionWithSuggestions.SuggestionNeighbour, PriorityConstructionSelection.ConstructionNeighbour, RandomSwapMove.SwapNeighbour, RandomUnassignmentSelection.UnassignStudentNeighbour, SimpleNeighbour, SwapStudentSelection.SwapStudentNeighbour

      public abstract class Neighbour<V extends Variable<V,T>,T extends Value<V,T>>
      extends Object

  IFS neighbour.
  Version:
    IFS 1.2 (Iterative Forward Search)
    Copyright (C) 2006 - 2010 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  See Also:
    `NeighbourSelection`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Neighbour()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `assign(long iteration)` Perform assignmnet
    `abstract double` | `value()` Difference in the evaluation function, if this neighnour is assigned.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Neighbour

          public Neighbour()

  - ### Method Detail

    - #### assign

          public abstract void assign(long iteration)

      Perform assignmnet

    - #### value

          public abstract double value()

      Difference in the evaluation function, if this neighnour is assigned.